/*
Copyright 2006 Frank van der Loo

This file is part of Paratim.

Paratim is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Paratim is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Paratim; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef TXT2SDL_H
#define TXT2SDL_H

#include <string>

using namespace std;

const int NUM_OF_CHARACTERS = 37;
const int char_begin_width[2][NUM_OF_CHARACTERS] = {{0, 25, 46, 71, 95, 115, 133, 159, 183, 188, 200, 224, 243, 270, 293, 319, 338, 364, 387, 408, 433, 456, 483, 523, 549, 574, 598, 616, 632, 649, 666, 685, 702, 720, 737, 755, 773},{25, 21, 25, 24, 20, 18, 26, 24, 5, 12, 24, 19, 27, 23, 26, 19, 26, 23, 21, 25, 23, 27, 40, 26, 25, 24, 18, 16, 17, 17, 19, 17, 18, 17, 18, 18, 22}};

int txt2sdl(string str, int x_pos, int y_pos, SDL_Surface *chars, SDL_Surface *screen);
int txt2sdl(const char str[], int x_pos, int y_pos, SDL_Surface *chars, SDL_Surface *screen);
void int2sdl(int number, int x_pos, int y_pos, SDL_Surface *chars, SDL_Surface *screen);

#endif
