/*
Copyright 2006 Frank van der Loo

This file is part of Paratim.

Paratim is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Paratim is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Paratim; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef BOMB_H
#define BOMB_H

#include "sprite.h"

const int GUN_X = 400;
const int GUN_Y = 380;

class bomb: public sprite
{
	private:
		int points;
		bool end;
		double ddstx, ddsty;
		double x_direction, y_direction;
	
	public:
		bomb(/*int x*/);
		int getPoints() { return points; }
		bool getEnd() {return end;};
		void hit() {end = true;};
		void init_bomb(int x, int y);
		void move();
		bool hitsGun();
};

bool move_bomb(SDL_Surface *screen, bomb *plane_bomb);
double dabs(double);

#endif
