#ifndef MENU_H
#define MENU_H

#include <iostream>
#include <string>
#include <vector>
#include "SDL.h"

using namespace std;

class menuItem
{
	private:
		string name;
		bool selected;

	public:
		menuItem(string n, bool s);
		string getName() { return name; }
		bool getSelected() { return selected; }
		void setSelected(bool b) { selected = b; }
};

class menu
{
	private:
		vector<menuItem> theMenu;
		unsigned int getSelectedIndex();

	public:
		void show(SDL_Surface *screen, SDL_Surface *chars, int x, int y);
		void add(menuItem i) { theMenu.push_back(i); }
		void up();
		void down();
		string getChoice();
};

menu create_main_menu();

#endif
